QGIS WFS server doesn't work with uDIG and Arcgis as clients
Status: Closed
Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 15455

Description

After a few tests with WFS clients other than QGIS (gvSIG, uDIG and Arcgis 10/9.3) that the only working WFS client for QGIS WFS

server is just QGIS.

Under gvSIG and uDIG it seems somehow to connect to the server but then the layer list is not presented and so it is not possible to go

on. Under Arc I get an error message like

2012-07-09 18:31:27|  52.6|  2.2|INFORM|FME API version of module 'WFS' matches current internal version (3.6 20090807)

2012-07-09 18:31:27|  52.6|  0.0|INFORM|FME API version of module 'WFS' matches current internal version (3.6 20090807)

2012-07-09 18:31:27|  52.6|  0.0|INFORM|<WFS> Capabilities URL:

`http://mapserver.uevora.pt:80/cgi-bin/qgis_mapserv.fcgi?SERVICE=WFS&REQUEST=GetCapabilities&MAP=/home/mapserver/mapfiles/teste.qgs&VERSION=1.1.0'
2012-07-09 18:31:27|  52.6|  0.0|INFORM|Received HTTP response header: 'HTTP/1.1 200 OK'
2012-07-09 18:31:27|  52.6|  0.0|INFORM|Received HTTP response header: 'Date: Mon, 09 Jul 2012 17:31:28 GMT'
2012-07-09 18:31:27|  52.6|  0.0|INFORM|Received HTTP response header: 

/mapfiles/teste.qgs&VERSION=1.1.0'

2012-07-09 18:31:27|  52.6|  0.0|INFORM|Received HTTP response header: 'HTTP/1.1 200 OK'

2012-07-09 18:31:27|  52.6|  0.0|INFORM|Received HTTP response header: 'Date: Mon, 09 Jul 2012 17:31:28 GMT'

2012-07-09 18:31:27|  52.6|  0.0|INFORM|Received HTTP response header: 'Server: Apache/2.2.17 (Ubuntu)'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|Received HTTP response header: 'Content-Length: 2646'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|Received HTTP response header: 'Vary: Accept-Encoding'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|Received HTTP response header: 'Content-Type: text/xml'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|HTTP Transfer: Downloading resource

'http://mapserver.uevora.pt:80/cgi-bin/qgis_mapserv.fcgi?SERVICE=WFS&REQUEST=GetCapabilities&MAP=/home/mapserver/mapfiles/teste.qgs&VERSION=1.1.0' to local file 'C:\\Users\\amira\\AppData\\Local\\Temp\\WFSCapability_1341855087729_6964.xml'
2012-07-09 18:31:27|  52.7|  0.0|INFORM|HTTP transfer summary - download-size: '2646 bytes', download-time: '0.031 seconds', url: 'http://mapserver.uevora.pt:80/cgi-bin/qgis_mapserv.fcgi?SERVICE=WFS&REQUEST=GetCapabilities&MAP=/home/mapserver/mapfiles/teste.qgs&VERSION=1.1.0'
2012-07-09 18:31:27|  52.7|  0.0|INFORM|Merged 0 schema features read from 1 datasets into 0 resulting feature types
2012-07-09 18:31:27|  52.7|  0.0|WARN  |UniversalReader -- readSchema resulted in 0 schema features being returned
2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(0) = >http://mapserver.uevora.pt/cgi-bin/qgis_mapserv.fcgi?map=/home/mapserver/mapfiles/teste.qgs<
2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(1) = >LAYER_LIST_ONLY<
2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(2) = >YES<
2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(3) = >_MERGE_SCHEMAS<
2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(4) = >YES<
2012-07-09 18:31:27|  52.7

/mapfiles/teste.qgs&VERSION=1.1.0' to local file

'C:\\Users\\amira\\AppData\\Local\\Temp\\WFSCapability_1341855087729_6964.xml'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|HTTP transfer summary - download-size: '2646 bytes', download-time: '0.031

seconds', url:

'http://mapserver.uevora.pt:80/cgi-bin/qgis_mapserv.fcgi?SERVICE=WFS&REQUEST=GetCapabilities&MAP=/home/mapserver/mapfiles/teste.qgs&VERSION=1.1.0'
2012-07-09 18:31:27|  52.7|  0.0|INFORM|Merged 0 schema features read from 1 datasets into 0 resulting feature types
2012-07-09 18:31:27|  52.7|  0.0|WARN  |UniversalReader -- readSchema resulted in 0 schema features being returned
2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(0) = >http://mapserver.uevora.pt/cgi-bin/qgis_mapserv.fcgi?map=/home/mapserver/mapfiles/teste.qgs<
2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(1) = >LAYER_LIST_ONLY<
2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(2) = >YES<
2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(3) = >_MERGE_SCHEMAS<
2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(4) = >YES<
2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(5) = >RETRIEVE_ALL_TABLE_NAMES<
2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(6) = >YES<
2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(7) = >HTTP_PROXY_AUTH_METHOD<
2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(8) = >Basic<
2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(9) = >HTTP_AUTH_METHOD<
2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(10) = >Basic<
2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(11) = >MAX_RESULT_FEATURES<
2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(12) = >30000<
2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Directive(0) = >RUNTIME_MACROS<
2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Directive(1) = >LA

/mapfiles/teste.qgs&VERSION=1.1.0'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|Merged 0 schema features read from 1 datasets into 0 resulting feature types

2012-07-09 18:31:27|  52.7|  0.0|WARN  |UniversalReader -- readSchema resulted in 0 schema features being returned

2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(0) =

>http://mapserver.uevora.pt/cgi-bin/qgis_mapserv.fcgi?map=/home/mapserver/mapfiles/teste.qgs<

2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(1) = >LAYER_LIST_ONLY<

2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(2) = >YES<

2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(3) = >_MERGE_SCHEMAS<

2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(4) = >YES<

2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(5) = >RETRIEVE_ALL_TABLE_NAMES<

2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(6) = >YES<

2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(7) = >HTTP_PROXY_AUTH_METHOD<

2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(8) = >Basic<

2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(9) = >HTTP_AUTH_METHOD<

2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(10) = >Basic<
2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(11) = >MAX_RESULT_FEATURES<

2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Parameter(12) = >30000<

2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Directive(0) = >RUNTIME_MACROS<

2012-07-09 18:31:27|  52.7|  0.0|WARN  |Reader Directive(1) =

>LAYER_LIST_ONLY,YES,_MERGE_SCHEMAS,YES,_MERGE_SCHEMAS,YES<

2012-07-09 18:31:27|  52.7|  0.0|WARN  |Configuration object contents:

2012-07-09 18:31:27|  52.7|  0.0|INFORM|FME Temporary Directory: C:\\Users\\amira\\AppData\\Local\\Temp

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 0: `APPLICATION' `ESRI_ADI_PLUGIN'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 1: `LOG_MAX_FEATURES' `-1'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 2: `LOG_APPEND' `NO'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 3: `FME_HOME' `C:\\Program Files (x86)\\ESRI\\Data Interoperability

Extension\\'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 4: `FME_SESSION_USED' `TRUE'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 5: `R_6_COORDINATE_SYSTEM' `'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 6: `R_6_METAFILE' `WFS'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 7: `R_6_DATASET' `http://mapas.igeo.pt/wfs/sc500k.1'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 8: `R_6_USE_HTTP_AUTH' `NO'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 9: `R_6_HTTP_AUTH_USER' `'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 10: `R_6_HTTP_AUTH_METHOD' `Basic'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 11: `R_6_USE_PROXY_SERVER' `NO'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 12: `R_6_HTTP_PROXY' `null'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 13: `R_6_HTTP_PROXY_PORT' `null'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 14: `R_6_HTTP_PROXY_USER' `'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 15: `R_6_HTTP_PROXY_AUTH_METHOD' `Basic'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 16: `R_6_USE_SEARCH_ENVELOPE' `NO'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 17: `R_6_MINX'`'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 18: `R_6_MINY'`'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 19: `R_6_MAXX'`'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 20: `R_6_MAXY'`'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 21: `R_6_TABLELIST'`'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 22: `R_6_MAX_RESULT_FEATURES' `30000'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 23: `R_6_FILTER_EXPRESSION' `'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 24: `R_6_XSD_DOC'`'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 25: `R_6_FME_FEATURE_IDENTIFIER' `'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 26: `R_6__MERGE_SCHEMAS' `YES'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 27: `R_6_MERGE_SCHEMAS' `YES'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 28: `R_24_COORDINATE_SYSTEM' `'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 29: `R_24_METAFILE' `WFS'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 30: `R_24_DATASET'

`http://mapserver.uevora.pt/cgi-bin/mapserv?map=/home/mapserver/mapfiles/ue_wfs.map'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 31: `R_24_USE_HTTP_AUTH' `NO'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 32: `R_24_HTTP_AUTH_USER' `'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 33: `R_24_HTTP_AUTH_METHOD' `Basic'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 34: `R_24_USE_PROXY_SERVER' `NO'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 35: `R_24_HTTP_PROXY' `null'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 36: `R_24_HTTP_PROXY_PORT' `null'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 37: `R_24_HTTP_PROXY_USER' `'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 38: `R_24_HTTP_PROXY_AUTH_METHOD' `Basic'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 39: `R_24_USE_SEARCH_ENVELOPE' `NO'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 40: `R_24_MINX' `'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 41: `R_24_MINY' `'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 42: `R_24_MAXX' `'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 43: `R_24_MAXY' `'
2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 44: `R_24_TABLELIST' `"evora  {evora}"'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 45: `R_24_MAX_RESULT_FEATURES' `30000'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 46: `R_24_FILTER_EXPRESSION' `'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 47: `R_24_XSD_DOC' `'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 48: `R_24_FME_FEATURE_IDENTIFIER' `'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 49: `R_24__MERGE_SCHEMAS' `YES'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 50: `R_24_MERGE_SCHEMAS' `YES'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 51: `R_24_IDs' `evora  {evora}'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 52: `R_26_METAFILE' `WFS'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 53: `R_26_DATASET'

`http://mapserver.uevora.pt/cgi-bin/qgis_mapserv.fcgi?map=/home/mapserver/mapfiles/teste.qgs'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 54: `R_26_LAYER_LIST_ONLY' `YES'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 55: `R_26__MERGE_SCHEMAS' `YES'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 56: `R_26_RETRIEVE_ALL_TABLE_NAMES' `YES'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 57: `R_26_LAYER_LIST_ONLY' `YES'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 58: `R_26__MERGE_SCHEMAS' `YES'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 59: `R_26_MERGE_SCHEMAS' `YES'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 60: `R_26__MERGE_SCHEMAS' `YES'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Line 61: `R_26_MERGE_SCHEMAS' `YES'

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_24_USE_HTTP_AUTH'                     occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_6__MERGE_SCHEMAS'                     occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_26_LAYER_LIST_ONLY'                   occurs 2 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `LOG_MAX_FEATURES'                       occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_24_HTTP_AUTH_USER'                    occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_6_HTTP_PROXY_USER'                    occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_24_HTTP_PROXY'                        occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_24_TABLELIST'                         occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_24_MINY'                              occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_6_FME_FEATURE_IDENTIFIER'             occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `APPLICATION'                            occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_6_TABLELIST'                          occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_24_USE_SEARCH_ENVELOPE'               occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_24_XSD_DOC'                           occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_24_HTTP_AUTH_METHOD'                  occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `FME_HOME' occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_24_HTTP_PROXY_USER'                   occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_6_DATASET'                            occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_6_HTTP_PROXY'                         occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_24_HTTP_PROXY_PORT'                   occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_6_MAX_RESULT_FEATURES'                occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_24_MINX'                              occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_6_USE_SEARCH_ENVELOPE'                occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_6_HTTP_AUTH_METHOD'                   occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_26_METAFILE'                          occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_6_XSD_DOC'                            occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_24_FILTER_EXPRESSION'                 occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_6_MERGE_SCHEMAS'                      occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_26_RETRIEVE_ALL_TABLE_NAMES'          occurs 1

time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_24_DATASET'                           occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_6_USE_HTTP_AUTH'                      occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_24_USE_PROXY_SERVER'                  occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_6_HTTP_PROXY_PORT'                    occurs 1 time(s)
2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_6_HTTP_AUTH_USER'                     occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_6_METAFILE'                           occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_24_COORDINATE_SYSTEM'                 occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_24_IDs' occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_24_MERGE_SCHEMAS'                     occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_6_USE_PROXY_SERVER'                   occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_6_MAXX' occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_24_MAX_RESULT_FEATURES'               occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_24_MAXY'                              occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_6_MAXY' occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_26_DATASET'                           occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `FME_SESSION_USED'                       occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_24_HTTP_PROXY_PASSWORD'               occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_24_MAXX'                              occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_24_HTTP_AUTH_PASSWORD'                occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_6_MINY' occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_6_HTTP_PROXY_AUTH_METHOD'             occurs 1

time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_24_HTTP_PROXY_AUTH_METHOD'            occurs 1

time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_6_MINX' occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `LOG_APPEND'                             occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_24__MERGE_SCHEMAS'                    occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_6_HTTP_PROXY_PASSWORD'                occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_26__MERGE_SCHEMAS'                    occurs 3 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_6_FILTER_EXPRESSION'                  occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_24_METAFILE'                          occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_6_COORDINATE_SYSTEM'                  occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_6_HTTP_AUTH_PASSWORD'                 occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_24_FME_FEATURE_IDENTIFIER'            occurs 1 time(s)

2012-07-09 18:31:27|  52.7|  0.0|INFORM|mapping file Keyword: `R_26_MERGE_SCHEMAS'                     occurs 2 time(s)

2012-07-09 18:31:27|  52.7|  0.0|WARN  |UniversalReader -- readSchema 

resulted in 0 schema features being returned

the same WFS server works fine under QGIS as client, so it seems to me a server problem rather than a client one.

Related issues:

Related to QGIS Application - Bug report # 6302: QGIS WFS Server Geometry Typ... Closed 2012-10-09

Associated revisions

Revision 40c01ad1 - 2012-08-01 02:11 PM - Jürgen Fischer

fix #6116

History

#1 - 2012-07-28 10:15 AM - Giovanni Manghi

- Subject changed from QGIS WFS server works just with QGIS as WFS client to QGIS WFS server just works with QGIS as WFS client

#2 - 2012-08-01 04:31 AM - René-Luc ReLuc

- File 6112 added
Moving FeatureTyepList element to WFS_Capabilities

#3 - 2012-08-01 05:04 AM - Jürgen Fischer

- Subject changed from QGIS WFS server just works with QGIS as WFS client to QGIS WFS server only works with QGIS as WFS client

#4 - 2012-08-01 05:11 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"40c01ad1828def0b602766544a75b92a8661d050".

#5 - 2012-08-16 02:25 PM - Giovanni Manghi

- Status changed from Closed to Reopened

- Subject changed from QGIS WFS server only works with QGIS as WFS client to QGIS WFS server doesn't work with uDIG and Arcgis as clients

New description:

I tested the server again with the latest fix applied and it turns that with 2 of the 5 clients tested, uDIG and Arcgis, it doesn't work (the others are QGIS,

gvSIG and GRASS).

To notice that the same layers when served with Mapserver (formerly UMN Mapserver) do works fine with all the clients.

uDIG fails to list the layer list, while Arcgis now does not show any error message, shows the layer list but also a "no geometry", and when added to the

project no feature is retrieved.

I don't know if is a client or server issue, anyway with other servers all the tested clients work well.

To allow let QGIS server be considered a really working solution I guess that this issue must be sorted in a way or another.

#6 - 2012-08-25 02:10 PM - Giovanni Manghi

The DescribeFeature Request is different in Mapserver and QGIS server. The Mapserver service works fine also on Arcgis and uDig.

here is mapserver

http://mapserver.uevora.pt/cgi-bin/mapserv?map=/home/mapserver/mapfiles/ue_wfs.map&#38;REQUEST=DescribeFeatureType&#38;TYPENAME=ev

ra&#38;SERVICE=WFS&#38;VERSION=1.0.0

here is qgis server

http://mapserver.uevora.pt/cgi-bin/qgis_mapserv.fcgi?map=/home/mapserver/mapfiles/ue_wfs.qgs&#38;REQUEST=DescribeFeatureType&#38;TYPEN

ME=evora&#38;SERVICE=WFS&#38;VERSION=1.0.0

serving the very same layer (a shapefile)

#7 - 2012-09-05 12:59 AM - René-Luc ReLuc

Giovanni the information about DescribeFeature has to be added to the new bug #6302
This one concerning GetCapabilities.

#8 - 2012-09-05 01:04 AM - René-Luc ReLuc

Giovanni Manghi wrote:

The DescribeFeature Request is different in Mapserver and QGIS server. The Mapserver service works fine also on Arcgis and uDig.

here is mapserver

http://mapserver.uevora.pt/cgi-bin/mapserv?map=/home/mapserver/mapfiles/ue_wfs.map&#38;REQUEST=DescribeFeatureType&#38;TYPENAM

=evora&#38;SERVICE=WFS&#38;VERSION=1.0.0

here is qgis server

http://mapserver.uevora.pt/cgi-bin/qgis_mapserv.fcgi?map=/home/mapserver/mapfiles/ue_wfs.qgs&#38;REQUEST=DescribeFeatureType&#38;TY

ENAME=evora&#38;SERVICE=WFS&#38;VERSION=1.0.0

serving the very same layer (a shapefile)

There is no big differences between the twice DescribeFeature, just the gid type.

#9 - 2012-09-06 12:10 PM - Giovanni Manghi

René-Luc ReLuc wrote:

Giovanni the information about DescribeFeature has to be added to the new bug #6302

done

This one concerning GetCapabilities.

so I should close this ticket?

#10 - 2012-09-06 12:15 PM - René-Luc ReLuc

you can close this issue, we will continue in #6302

#11 - 2012-09-06 02:44 PM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Reopened to Closed

Files

6112 685 Bytes 2012-08-01 René-Luc ReLuc
